commit: 15ca1c92c45607c08fdd4127a7de95056ff483d2
Author: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 6 21:05:33 2025 +0000
Commit: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Mon Jan 6 21:09:06 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=15ca1c92
virtual/perl-Module-CoreList: add 5.40.1_rc1 version
Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>
.../perl-Module-CoreList-5.202.501.184_rc.ebuild | 17 +++++++++++++++++
1 file changed, 17 insertions(+)
diff --git
a/virtual/perl-Module-CoreList/perl-Module-CoreList-5.202.501.184_rc.ebuild
b/virtual/perl-Module-CoreList/perl-Module-CoreList-5.202.501.184_rc.ebuild
new file mode 100644
index 000000000000..5b2d437076c3
--- /dev/null
+++ b/virtual/perl-Module-CoreList/perl-Module-CoreList-5.202.501.184_rc.ebuild
@@ -0,0 +1,17 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Virtual for ${PN#perl-}"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64
~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos
~x64-macos ~x64-solaris"
+
+# Check
https://wiki.gentoo.org/wiki/Project:Perl/maint-notes/virtual/perl-Module-CoreList
+# When bumping this package.
+RDEPEND="
+ || ( ~dev-lang/perl-5.40.1_rc1 ~perl-core/${PN#perl-}-${PV} )
+ dev-lang/perl:=
+ !<perl-core/${PN#perl-}-${PV}
+ !>perl-core/${PN#perl-}-${PV}-r999
+"